ObjectARX

Reply
Active Member
podoboq
Posts: 8
Registered: ‎11-30-2011
Message 1 of 4 (317 Views)
Accepted Solution

ZOOM ALL using code

317 Views, 3 Replies
10-29-2012 07:15 PM

There has a dwg file. After opening it, its extent don't show in the center of the screen.  I know "Zoom all" works, but how to do it using code without opening the dwg in Autocad? 

 

Thanks in advance.

Active Member
podoboq
Posts: 8
Registered: ‎11-30-2011
Message 2 of 4 (287 Views)

Re: ZOOM ALL using code

11-01-2012 07:53 PM in reply to: podoboq

I've find some help. Maybe it relates to manipulate AcdbView or AcdbViewport. 
What's the differenc between view and viewport?  To implement "Zoom All", whick one should be choosed?

 

Thanks a lot.

ADN Support Specialist
Balaji_Ram
Posts: 666
Registered: ‎03-21-2011
Message 3 of 4 (266 Views)

Re: ZOOM ALL using code

11-05-2012 04:07 AM in reply to: podoboq

Hi,

 

You can refer to the Developer's guide (arxdev.chm) from the ObjectARX folder about viewports.

Here is the explanation provided there :

 

<<<<

A viewport is a particular view of the drawing file, either in model space (TILEMODE=1) or paper space (TILEMODE=0). In model and paper space, viewports have different properties and are represented by objects of different types.

The current model space viewport configuration is contained in the AcDbViewportTable symbol table. The viewports in this configuration are represented by AcDbViewportTableRecord objects. Saved viewport configurations are contained in the AcDbViewTable symbol table and their views are represented by AcDbViewTableRecord objects. The model space viewports are always rectangular.

In a paper space layout, viewports are represented by AcDbViewport objects. These viewports can be complex clipped, that is they can be set to any arbitrary shape. In paper space, unlike model space, viewports do not need to be tiled. AcDbLayout objects, accessed from the ACAD_LAYOUT named object dictionary, describe the viewport configuration for that layout.

>>>>

 

By setting the viewport parameters, you ensure that the viewport displays the view that you are interested in.

 

You have mentioned that you have already found a sample code, but anyway here is one from the Devblog :

http://adndevblog.typepad.com/autocad/2012/10/zooming-to-drawing-extents-for-a-viewport-without-send...

 

Hope this helps



Balaji
Developer Technical Services
Autodesk Developer Network

Active Member
podoboq
Posts: 8
Registered: ‎11-30-2011
Message 4 of 4 (246 Views)

Re: ZOOM ALL using code

11-06-2012 05:20 PM in reply to: Balaji_Ram

Thanks. Balaji.

You are not logged in.

Log into access your profile, ask and answer questions, share ideas and more. Haven't signed up yet? Register

Announcements
Are you familiar with the Autodesk Expert Elites? The Expert Elite program is made up of customers that help other customers by sharing knowledge and exemplifying an engaging style of collaboration. To learn more, please visit our Expert Elite website.

Need installation help?

Start with some of our most frequented solutions to get help installing your software.

Ask the Community